REV(1)

BEZEICHNUNG
rev - Zeilen zeichenweise umkehren

ÜBERSICHT

rev [Option] [Datei...]

BESCHREIBUNG

Das Dienstprogramm rev kopiert die angegebenen Zeilen auf die Standardausgabe und dreht dabei die Reihenfolge aller Zeichen in jeder Zeile um. Falls keine Dateien angegeben werden, wird die Standardeingabe gelesen.

Dieses Dienstprogramm ist zeilenorientiert und verwendet einen im Speicher zugewiesenen Puffer für eine aus Wide-Zeichen bestehende Zeile. Falls die Eingabedatei sehr groß ist und keine Zeilenumbrüche enthält, könnte die Speicherzuweisung für diese Datei fehlschlagen.

OPTIONEN

-0, --zero
    Null-Termination. Verwendet das Byte »\0« als Zeilentrenner.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

SIEHE AUCH

tac(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl rev ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.